Order & Installation
All operations require authentication.
Get the extra IP range move of an xDSL accessProduction
Returns the extra IP range of the access, the access it will be moved to and the date of the move.
Path parameters
Service name
Response
Date of the migration
IPv4 CIDR notation (e.g., 192.0.2.0/24)
Access where the IP range will be moved to
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ addressMove/ extraIpRange \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "ipRange": "192.0.2.0/24", "moveTo": "string"}
Move the extra IP range of an xDSL accessProduction
Starts the move of the extra IP range of the access to its new access after an address move. Returns the task that performs the change.
Path parameters
Service name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ addressMove/ extraIpRangeMove \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
List the fiber eligibilities of an xDSL accessProduction
Returns the IDs of the fiber eligibility checks of the access address. Filter by status: eligible, not_eligible, not_yet_eligible or no_building.
Path parameters
Service name
Query parameters
Filter the value of status property (=)
eligibleno_buildingnot_eligiblenot_yet_eligibleResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ fiberEligibilities \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a fiber eligibility of an xDSL accessProduction
Returns the fiber offer, provider, status, building and availability date of the access address, and the copper network closure schedule.
Path parameters
Id
Service name
Response
Availability date
Building name
Building reference
Building sequence id
Copper grid closure trajectory
Copper NRA closure trajectory
First copper closure details, if applicable
First eligible date
Available GRTs
10ho20m_10ho20m_4ho4hno4ho5m_10ho5m_4hodplus1noneIdentifier
Last update date
Offer
Provider
Status
eligibleno_buildingnot_eligiblenot_yet_eligibleExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ fiberEligibilities/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "availabilityDate": "2024-01-01T12:00:00Z", "buildingName": "string", "buildingReference": "string", "buildingSeqId": 0, "copperGridClosureTrajectory": { "commercialClosureAnnouncementDate": "2024-01-01", "commercialClosureDate": "2024-01-01", "commercialClosureInitialDate": "2024-01-01", "departmentCode": "string", "departmentName": "string", "ftthZone": "string", "inseeCode": "string", "lot": "string", "municipalityName": "string", "oiCode": "string", "oiName": "string", "technicalClosureAnnouncementDate": "2024-01-01", "technicalClosureDate": "2024-01-01", "technicalClosureInitialDate": "2024-01-01" }, "copperNraClosureTrajectory": { "inseeCode": "string", "lot": "string", "nra": "string", "operator": "string", "referer": "string", "technicalClosureDate": "2024-01-01" }, "firstCopperClosure": { "date": "2024-01-01", "referer": "string" }, "firstEligibleDate": "2024-01-01T12:00:00Z", "grts": [ "10ho" ], "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "offer": { "code": "string", "name": "string" }, "provider": { "code": "string", "name": "string" }, "status": "eligible"}
Get the status of the order of this accessDeprecated
Deprecated since Sep 29, 2026, will be removed on Jan 1, 2027 — use /pack/xdsl/{packName}/orderFollowup instead.
Deprecated: use /pack/xdsl/{packName}/orderFollowup instead. This endpoint will be deleted on 2027-01-01.
Path parameters
Service name
Response
The duration units
dayhourminuteThe status of an order step
accessIsOperationalcheckInfrastructureconfigureAccessOnOVHorderPayedorderReceivedorderTreatmentsendModemsendOrderToProvidersetupCustomerPremisesEquipmentwaitingForProviderInstallReportwaitingForWithdrawalPeriodToBeOverThe status of an order step
doingdoneerrortodowaitingCustomerExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ orderFollowup \
-H "authorization: Bearer $OVH_TOKEN"[ { "comments": [ "string" ], "doneDate": "2024-01-01T12:00:00Z", "durationUnit": "day", "expectedDuration": 0, "name": "accessIsOperational", "status": "doing" }]
Book an installation meetingProduction
Books one of the time slots returned by searchOrderMeetings for the access and relaunches its order.
Path parameters
Service name
Request body (required)
Meeting end date
Meeting start date
Meeting ui code ( code linked to the meeting returned by POST /xdsl/{serviceName}/orderMeetings )
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ orderMeeting \
-H "authorization: Bearer $OVH_TOKEN"Search the installation meeting slots of an orderProduction
Returns, as an asynchronous task, the available time slots for the line creation meeting of the access order.
Path parameters
Service name
Response
List of available meeting time slots
AsyncTask status
errorokpendingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ searchOrderMeetings \
-H "authorization: Bearer $OVH_TOKEN"{ "error": "string", "result": { "canBookFakeMeeting": true, "capacities": { "eRdv": true, "phoneCall": true }, "meetingSlots": [ { "endDate": "2024-01-01T12:00:00Z", "slotId": "string", "startDate": "2024-01-01T12:00:00Z", "uiCode": "string" } ] }, "status": "error"}
Unlock an order waiting for the customerProduction
Sends to the provider an order in waitingCustomer status. Only applies to orders whose modem was sent before anything was forwarded to the provider.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ sendOrderToProvider \
-H "authorization: Bearer $OVH_TOKEN"Update the RIO of an orderProduction
Sets the RIO code of an order in error because of a missing or invalid RIO, or relaunches the order without number portability.
Path parameters
Service name
Request body (required)
Do not set RIO, and relaunch order without portability
RIO number for portability
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ updateInvalidOrMissingRio \
-H "authorization: Bearer $OVH_TOKEN"